티켓 메모 삭제

지정한 티켓의 메모를 삭제합니다. 메모를 수정하려면 티켓 메모 수정 API를 사용합니다.

필요 권한

사용자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

DELETE /api/sonar/tickets/:ticket_guid/comments/:guid
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     -X DELETE \
     https://HOSTNAME/api/sonar/tickets/638cfeb2-e259-46af-961a-1eeb65ea35f0/comments/08ee89f1-630f-4b24-b6b2-e0c88c5f3003
요청 매개변수
경로 매개변수
타입설명비고
ticket_guid문자열티켓 GUID36자
guid문자열메모 GUID36자

정상 응답

{}

오류 응답

guid가 GUID 형식이 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
티켓이 존재하지 않는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "ticket not found: 638cfeb2-e259-46af-961a-1eeb65ea35f0"
}
권한이 없는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}